Index: code/branches/cpp11_v2/src/modules/weapons/IceGunFreezer.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/IceGunFreezer.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/IceGunFreezer.h	(revision 10817)
@@ -55,5 +55,5 @@
             IceGunFreezer(Context* context);
             virtual ~IceGunFreezer();
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
             virtual void startFreezing();
             virtual void stopFreezing();
Index: code/branches/cpp11_v2/src/modules/weapons/RocketController.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/RocketController.cc	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/RocketController.cc	(revision 10817)
@@ -38,4 +38,5 @@
 #include "projectiles/SimpleRocket.h"
 #include "weaponmodes/SimpleRocketFire.h"
+#include "core/CoreIncludes.h"
 
 namespace orxonox
Index: code/branches/cpp11_v2/src/modules/weapons/RocketController.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/RocketController.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/RocketController.h	(revision 10817)
@@ -55,5 +55,5 @@
             virtual ~RocketController();
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
             /**
             @brief Get the rocket that is controlled by this controller.
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/BillboardProjectile.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/BillboardProjectile.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/BillboardProjectile.h	(revision 10817)
@@ -61,5 +61,5 @@
             virtual void setMaterial(const std::string& material);
             virtual const std::string& getMaterial();
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBomb.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBomb.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBomb.h	(revision 10817)
@@ -41,7 +41,7 @@
             GravityBomb(Context* context);
             virtual ~GravityBomb();
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint) override;
             void detonate();
         private:
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBombField.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBombField.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBombField.h	(revision 10817)
@@ -39,5 +39,5 @@
     GravityBombField(Context* context);
     virtual ~GravityBombField();
-    virtual void tick(float dt);
+    virtual void tick(float dt) override;
     virtual void destroy();
 
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/IceGunProjectile.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/IceGunProjectile.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/IceGunProjectile.h	(revision 10817)
@@ -62,5 +62,5 @@
 
         protected:
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint) override;
         private:         
             float freezeTime_; //The duration of the freezing effect on a target
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/LightningGunProjectile.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/LightningGunProjectile.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/LightningGunProjectile.h	(revision 10817)
@@ -58,5 +58,5 @@
             virtual ~LightningGunProjectile() {}
 
-            virtual void setMaterial(const std::string& material);
+            virtual void setMaterial(const std::string& material) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/ParticleProjectile.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/ParticleProjectile.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/ParticleProjectile.h	(revision 10817)
@@ -53,5 +53,5 @@
             ParticleProjectile(Context* context);
             virtual ~ParticleProjectile();
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/Projectile.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/Projectile.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/Projectile.h	(revision 10817)
@@ -64,6 +64,6 @@
             void setConfigValues();
 
-            virtual void tick(float dt);
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
+            virtual void tick(float dt) override;
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint) override;
 
         protected:
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/Rocket.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/Rocket.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/Rocket.h	(revision 10817)
@@ -62,17 +62,17 @@
             virtual ~Rocket();
 
-            virtual void tick(float dt); //!< Defines which actions the Rocket has to take in each tick.
+            virtual void tick(float dt) override; //!< Defines which actions the Rocket has to take in each tick.
 
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
-            virtual void destroyObject(void);
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint) override;
+            virtual void destroyObject(void) override;
             void destructionEffect();
 
-            virtual void moveFrontBack(const Vector2& value) {}
-            virtual void moveRightLeft(const Vector2& value) {}
-            virtual void moveUpDown(const Vector2& value) {}
+            virtual void moveFrontBack(const Vector2& value) override {}
+            virtual void moveRightLeft(const Vector2& value) override {}
+            virtual void moveUpDown(const Vector2& value) override {}
 
-            virtual void rotateYaw(const Vector2& value);
-            virtual void rotatePitch(const Vector2& value);
-            virtual void rotateRoll(const Vector2& value);
+            virtual void rotateYaw(const Vector2& value) override;
+            virtual void rotatePitch(const Vector2& value) override;
+            virtual void rotateRoll(const Vector2& value) override;
 
             /**
@@ -114,7 +114,7 @@
                 { this->rotateRoll(Vector2(value, 0)); }
 
-            virtual void setShooter(Pawn* shooter);
+            virtual void setShooter(Pawn* shooter) override;
 
-            virtual void fired(unsigned int firemode);
+            virtual void fired(unsigned int firemode) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/RocketOld.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/RocketOld.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/RocketOld.h	(revision 10817)
@@ -62,17 +62,17 @@
             virtual ~RocketOld();
 
-            virtual void tick(float dt); //!< Defines which actions the RocketOld has to take in each tick.
+            virtual void tick(float dt) override; //!< Defines which actions the RocketOld has to take in each tick.
 
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
-            virtual void destroyObject(void);
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint) override;
+            virtual void destroyObject(void) override;
             void destructionEffect();
 
-            virtual void moveFrontBack(const Vector2& value) {}
-            virtual void moveRightLeft(const Vector2& value) {}
-            virtual void moveUpDown(const Vector2& value) {}
+            virtual void moveFrontBack(const Vector2& value) override {}
+            virtual void moveRightLeft(const Vector2& value) override {}
+            virtual void moveUpDown(const Vector2& value) override {}
 
-            virtual void rotateYaw(const Vector2& value);
-            virtual void rotatePitch(const Vector2& value);
-            virtual void rotateRoll(const Vector2& value);
+            virtual void rotateYaw(const Vector2& value) override;
+            virtual void rotatePitch(const Vector2& value) override;
+            virtual void rotateRoll(const Vector2& value) override;
 
             /**
@@ -114,7 +114,7 @@
                 { this->rotateRoll(Vector2(value, 0)); }
 
-            virtual void setShooter(Pawn* shooter);
+            virtual void setShooter(Pawn* shooter) override;
 
-            virtual void fired(unsigned int firemode);
+            virtual void fired(unsigned int firemode) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/SimpleRocket.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/SimpleRocket.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/SimpleRocket.h	(revision 10817)
@@ -62,17 +62,17 @@
             SimpleRocket(Context* context);
             virtual ~SimpleRocket();
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint) override;
 
             void disableFire(); //!< Method to disable the fire and stop all acceleration
 
-            virtual void moveFrontBack(const Vector2& value){}
-            virtual void moveRightLeft(const Vector2& value){}
-            virtual void moveUpDown(const Vector2& value){}
+            virtual void moveFrontBack(const Vector2& value) override{}
+            virtual void moveRightLeft(const Vector2& value) override{}
+            virtual void moveUpDown(const Vector2& value) override{}
 
-            virtual void rotateYaw(const Vector2& value);
-            virtual void rotatePitch(const Vector2& value);
-            virtual void rotateRoll(const Vector2& value);
+            virtual void rotateYaw(const Vector2& value) override;
+            virtual void rotatePitch(const Vector2& value) override;
+            virtual void rotateRoll(const Vector2& value) override;
             void setDestroy();
 
@@ -115,5 +115,5 @@
                 { this->rotateRoll(Vector2(value, 0)); }
 
-            virtual void setShooter(Pawn* shooter);
+            virtual void setShooter(Pawn* shooter) override;
 
             inline bool hasFuel() const
Index: code/branches/cpp11_v2/src/modules/weapons/weaponmodes/EnergyDrink.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/weaponmodes/EnergyDrink.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/weaponmodes/EnergyDrink.h	(revision 10817)
@@ -57,6 +57,6 @@
             virtual ~EnergyDrink() {}
 
-            virtual void fire();
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void fire() override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/weapons/weaponmodes/FusionFire.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/weaponmodes/FusionFire.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/weaponmodes/FusionFire.h	(revision 10817)
@@ -54,5 +54,5 @@
             virtual ~FusionFire() {}
 
-            virtual void fire();
+            virtual void fire() override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/weapons/weaponmodes/GravityBombFire.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/weaponmodes/GravityBombFire.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/weaponmodes/GravityBombFire.h	(revision 10817)
@@ -34,5 +34,5 @@
             virtual ~GravityBombFire();
 
-            virtual void fire();
+            virtual void fire() override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/weapons/weaponmodes/HsW01.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/weaponmodes/HsW01.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/weaponmodes/HsW01.h	(revision 10817)
@@ -56,6 +56,6 @@
             virtual ~HsW01();
 
-            virtual void fire();
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void fire() override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         protected:
Index: code/branches/cpp11_v2/src/modules/weapons/weaponmodes/IceGun.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/weaponmodes/IceGun.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/weaponmodes/IceGun.h	(revision 10817)
@@ -54,6 +54,6 @@
             virtual ~IceGun();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void fire();
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void fire() override;
             
             inline void setFreezeTime(float freezeTime)
Index: code/branches/cpp11_v2/src/modules/weapons/weaponmodes/LaserFire.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/weaponmodes/LaserFire.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/weaponmodes/LaserFire.h	(revision 10817)
@@ -54,5 +54,5 @@
             virtual ~LaserFire() {}
 
-            virtual void fire();
+            virtual void fire() override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/weapons/weaponmodes/LightningGun.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/weaponmodes/LightningGun.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/weaponmodes/LightningGun.h	(revision 10817)
@@ -54,5 +54,5 @@
             virtual ~LightningGun();
 
-            virtual void fire();
+            virtual void fire() override;
 
        private:
Index: code/branches/cpp11_v2/src/modules/weapons/weaponmodes/RocketFire.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/weaponmodes/RocketFire.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/weaponmodes/RocketFire.h	(revision 10817)
@@ -54,5 +54,5 @@
             virtual ~RocketFire();
 
-            virtual void fire();
+            virtual void fire() override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/weapons/weaponmodes/RocketFireOld.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/weaponmodes/RocketFireOld.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/weaponmodes/RocketFireOld.h	(revision 10817)
@@ -54,5 +54,5 @@
             virtual ~RocketFireOld();
 
-            virtual void fire();
+            virtual void fire() override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/weapons/weaponmodes/SimpleRocketFire.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/weaponmodes/SimpleRocketFire.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/weaponmodes/SimpleRocketFire.h	(revision 10817)
@@ -53,5 +53,5 @@
             virtual ~SimpleRocketFire();
             void deactivateFire();
-            virtual void fire();
+            virtual void fire() override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/weapons/weaponmodes/SplitGun.h
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/weaponmodes/SplitGun.h	(revision 10768)
+++ code/branches/cpp11_v2/src/modules/weapons/weaponmodes/SplitGun.h	(revision 10817)
@@ -54,6 +54,6 @@
             virtual ~SplitGun();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void fire();
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void fire() override;
 
             inline void setNumberOfSplits(int numberOfSplits)
